diff --git a/setup.py b/setup.py
index a2129f86..bebf2911 100644
--- a/setup.py
+++ b/setup.py
@@ -28,6 +28,7 @@ OUTPUT_DIR = "config"
 
 # # Configurable installation roots for various data files.
 datadir = os.environ.get('DATAPATH', '/usr/share/cobbler')
+datadir_defaults = os.path.join(datadir, 'defaults')
 docpath = os.environ.get('DOCPATH', "share/man")
 etcpath = os.environ.get('ETCPATH', "/etc/cobbler")
 libpath = os.environ.get('LIBPATH', "/var/lib/cobbler")
@@ -571,11 +572,11 @@ if __name__ == "__main__":
             ("%s/loaders" % libpath, []),
             ("%s/cobbler/misc" % webroot, glob("misc/*")),
             # Configuration
-            ("%s" % etcpath, ["build/config/apache/cobbler.conf",
+            ("%s" % datadir_defaults, ["build/config/apache/cobbler.conf",
                               "build/config/service/cobblerd.service",
                               "build/config/cobbler/settings.yaml"]),
-            ("%s/settings.d" % etcpath, glob("config/cobbler/settings.d/*")),
-            ("%s" % etcpath, ["config/cobbler/auth.conf",
+            ("%s/settings.d" % datadir_defaults, glob("config/cobbler/settings.d/*")),
+            ("%s" % datadir_defaults, ["config/cobbler/auth.conf",
                               "config/cobbler/modules.conf",
                               "config/cobbler/mongodb.conf",
                               "config/cobbler/users.conf",
@@ -585,8 +586,8 @@ if __name__ == "__main__":
                               "config/rsync/import_rsync_whitelist",
                               "config/rsync/rsync.exclude",
                               "config/version"]),
-            ("%s" % etcpath, glob("cobbler/etc/*")),
-            ("%s" % etcpath, ["templates/etc/named.template",
+            ("%s" % datadir_defaults, glob("cobbler/etc/*")),
+            ("%s" % datadir_defaults, ["templates/etc/named.template",
                               "templates/etc/genders.template",
                               "templates/etc/secondary.template",
                               "templates/etc/zone.template",
@@ -595,8 +596,8 @@ if __name__ == "__main__":
                               "templates/etc/dhcp.template",
                               "templates/etc/dhcp6.template",
                               "templates/etc/ndjbdns.template"]),
-            ("%s/iso" % etcpath, glob("templates/iso/*")),
-            ("%s/boot_loader_conf" % etcpath, glob("templates/boot_loader_conf/*")),
+            ("%s/iso" % datadir_defaults, glob("templates/iso/*")),
+            ("%s/boot_loader_conf" % datadir_defaults, glob("templates/boot_loader_conf/*")),
             # completion_file
             ("%s" % completion_path, ["config/bash/completion/cobbler"]),
             ("%s/grub_config" % libpath, glob("config/grub/*")),
@@ -617,7 +618,7 @@ if __name__ == "__main__":
             ("%s/grub/system_link" % tftproot, []),
             ("%s/grub_config/grub/system" % libpath, []),
             ("%s/grub_config/grub/system_link" % libpath, []),
-            ("%s/reporting" % etcpath, glob("templates/reporting/*")),
+            ("%s/reporting" % datadir_defaults, glob("templates/reporting/*")),
             # Build empty directories to hold triggers
             ("%s/triggers/add/distro/pre" % libpath, []),
             ("%s/triggers/add/distro/post" % libpath, []),
@@ -703,10 +704,10 @@ if __name__ == "__main__":
             # A script that isn't really data, wsgi script
             ("%s/cobbler/svc/" % webroot, ["svc/services.py"]),
             # zone-specific templates directory
-            ("%s/zone_templates" % etcpath, glob("templates/zone_templates/*")),
+            ("%s/zone_templates" % datadir_defaults, glob("templates/zone_templates/*")),
             # windows-specific templates directory
-            ("%s/windows" % etcpath, glob("templates/windows/*")),
-            ("%s" % etcpath, ["config/cobbler/logging_config.conf"]),
+            ("%s/windows" % datadir_defaults, glob("templates/windows/*")),
+            ("%s" % datadir_defaults, ["config/cobbler/logging_config.conf"]),
             # man pages
             ("%s/man1" % docpath, glob("build/sphinx/man/*.1")),
             ("%s/man5" % docpath, glob("build/sphinx/man/*.5")),
